/*==========================================================*/
/* Title        :   Inverter.h                                                  */
/* Description  :   Class_Inverter definition                                       */
/* Copyright     :     ENPC Corporation                            */
/* Version        :     V000                                           */
/* Author         :     Zhuo Qingfeng                             */
/* Date            :    Apr.2013                               */
/* Contributor:                                          */
/*==========================================================*/
#ifndef    INVERTER_H

#define    INVERTER_H

class Class_Inverter
{
public:

    INT16           m_i16I1stFiltIndex1_0;
    INT16           m_i16I1stFiltIndex2_0;

    INT16           m_i16Ia1stPFiltArray1_0[95];
    INT32           m_i32Ia1stPFiltSum1_0;
    INT16           m_i16Ia1stQFiltArray1_0[95];
    INT32           m_i32Ia1stQFiltSum1_0;

    INT16           m_i16Ib1stPFiltArray1_0[95];
    INT32           m_i32Ib1stPFiltSum1_0;
    INT16           m_i16Ib1stQFiltArray1_0[95];
    INT32           m_i32Ib1stQFiltSum1_0;

    INT16           m_i16Ic1stPFiltArray1_0[95];
    INT32           m_i32Ic1stPFiltSum1_0;
    INT16           m_i16Ic1stQFiltArray1_0[95];
    INT32           m_i32Ic1stQFiltSum1_0;

    INT16           m_i16Ia1stPFiltArray2_0[105];
    INT32           m_i32Ia1stPFiltSum2_0;
    INT16           m_i16Ia1stQFiltArray2_0[105];
    INT32           m_i32Ia1stQFiltSum2_0;

    INT16           m_i16Ib1stPFiltArray2_0[105];
    INT32           m_i32Ib1stPFiltSum2_0;
    INT16           m_i16Ib1stQFiltArray2_0[105];
    INT32           m_i32Ib1stQFiltSum2_0;

    INT16           m_i16Ic1stPFiltArray2_0[105];
    INT32           m_i32Ic1stPFiltSum2_0;
    INT16           m_i16Ic1stQFiltArray2_0[105];
    INT32           m_i32Ic1stQFiltSum2_0;


private:
    INT16           m_i16DTheta;                        //ʾPF,һжӦĶ

public:
    void                App_InvVarInit(void);

     void     Dat_Int_InvCurrPQCalc(void);


};

#endif



//===========================================================================
// End of file.
//===========================================================================
