/************************************************************************************
//ƣ    ʵּ
***********************************************************************************/

INT16   g_i16_IntCnt1Per2_0;
INT16   g_i16_IntCnt1Per4_0;

Class_Inverter          objInverter;        // 0x1701


// 0x2E01 жϺEPWM_INT_ISR켣
UINT16  g_u16_MainRunTime;      // ʱ
UINT16  g_u16_MainRunTimeMax;   // ʱ

UINT16  g_u16_INTRunTime;       // жʱ
UINT16  g_u16_INTRunTimeMax;    // жʱ
UINT16  g_u16ServiceModeCount;

//------------------------------
int igap(int curr_value, const FLAG_TABLE *f_table, int old_flag)
{
    /******DSP RUN TRACE************************/
    RUN_PREVIOUSFUNCTION = RUN_FUNCTION;
    RUN_FUNCTION = 0x0D02;
    /*******************************************/
    UINT16 i, j;

    /*reseach range table.*/
    for(i = 0; i <= (*f_table).num; i++)
    {
        if (curr_value < (*f_table).range[i])
            break;
    }
    /*if reseach failure, return old flag.*/
    if (i == 0 || i > (*f_table).num)
    {
        return(old_flag);
    }

    /*reseach flags table.*/
    for(j = 1; j <= (*f_table).num; j++)
    {
        if (old_flag == (*f_table).flags[j-1])
            break;
    }
    /*if reseach failure, return curr flag.*/
    if ( j> (*f_table).num )
    {
        return((*f_table).flags[i-1]);
    }

    /*judge igap acrossed.*/
    if (i < j && curr_value > ((*f_table).range[i] - (*f_table).half_gap) )
    {
        i++;
    }
    else if (i > j && curr_value < ((*f_table).range[i-1] + (*f_table).half_gap) )
    {
        i--;
    }

    /*return ture flag.*/
    return((*f_table).flags[i-1]);
}


//===========================================================================
// End of file.
//===========================================================================


	






