//###########################################################################
//
// FILE:   F2807x_Cmpss_defines.h
//
// TITLE:  #defines used in CMPSS examples
//
//###########################################################################

#ifndef F2807x_CMPSS_DEFINES_H
#define F2807x_CMPSS_DEFINES_H

#ifdef __cplusplus
extern "C" {
#endif

	//definitions for selecting DACH reference
#define REFERENCE_VDDA     0
#define REFERENCE_VDAC     1
	
	//definitions for COMPH input selection
#define NEGIN_DAC          0
#define NEGIN_PIN          1
	

	//definitions for DAC source selection
#define DACHVALSHADOW          0
#define RAMP_GENERATOR          1

#define	RAMPMAXREFA  0
#define	RAMPMAXREFS  1

	//definitions for CTRIPH/CTRIPOUTH output selection
#define CTRIP_ASYNCH       0
#define CTRIP_SYNCH        1
#define CTRIP_FILTER       2
#define CTRIP_LATCH        3


#ifdef __cplusplus
}
#endif /* extern "C" */

#endif   // - end of F2807x_CLA_DEFINES_H

//===========================================================================
// End of file.
//===========================================================================
