//###########################################################################
//
// FILE:	F2807x_SysCtrl_defines.h
//
// TITLE:	F2807x LPM support definitions
//
//###########################################################################
// $TI Release: F2807x Support Library v180 $
// $Release Date: Fri Nov  6 16:33:02 CST 2015 $
// $Copyright: Copyright (C) 2014-2015 Texas Instruments Incorporated -
//             http://www.ti.com/ ALL RIGHTS RESERVED $
//###########################################################################

#ifndef F2807x_SYSCTRL_DEFINES_H
#define F2807x_SYSCTRL_DEFINES_H

//--------------------------------------------
// Defines
//--------------------------------------------

#define LPM_IDLE	0x0
#define LPM_STANDBY	0x1
#define LPM_HALT	0x2
#define LPM_HIB		0x3

//Key value used for write access to the flash pump semaphore register
#define IPC_PUMP_KEY 0x5a5a0000

#endif  // end of F2807x_SYSCTRL_DEFINES_H definition

//===========================================================================
// End of file.
//===========================================================================
