#include "RAMDrv.h"



void	Class_RAMDrv::Drv_RamCheck(void)
{
	volatile UINT16 *addr;
	UINT16 u16_i;


									//memery check L0&L1&L2&L3[0x08000,0x0BFFB]
	addr = (UINT16 *) 0x08000;
	for (u16_i = 0x0000; u16_i < 0x3FFC; u16_i++)
	{
		*(addr + u16_i) = 0x5555;
		if (*(addr + u16_i) != 0x5555)
		{
			m_u16_RamCheckErr = 1;
		}
		*(addr + u16_i) = 0xaaaa;
		if (*(addr + u16_i) != 0xaaaa)
		{
			m_u16_RamCheckErr = 1;
		}
		*(addr + u16_i) = 0x0000;
	}

        addr = (UINT16 *) 0xBFFC;
        for (u16_i = 0x0000; u16_i < 0x4; u16_i++)
        {
            *(addr + u16_i) = 0x5555;

            if (*(addr + u16_i) != 0x5555)
            {
                m_u16_RamCheckErr=1;
            }

            *(addr + u16_i) = 0xaaaa;

            if (*(addr + u16_i) != 0xaaaa)
            {
                m_u16_RamCheckErr=1;
            }

            *(addr + u16_i) = 0x0000;
        }

										//memery check L4&L5&L6&L7[0xC000,0x10000]
	addr = (Uint16 *) 0xC000;
	for (u16_i = 0x0000; u16_i < 0x03FF9; u16_i++)
	{
		*(addr + u16_i) = 0x5555;
		if (*(addr + u16_i) != 0x5555)
		{
			m_u16_RamCheckErr = 1;
		}
		*(addr + u16_i) = 0xaaaa;
		if (*(addr + u16_i) != 0xaaaa)
		{
			m_u16_RamCheckErr = 1;
		}
		*(addr + u16_i) = 0x0000;
	}
	
	if(m_u16_RamCheckErr == 1)
	{
		while(1)
		{
			asm(" nop");
		}
	}
}
//
void	Class_RAMDrv::Drv_MemCopy(UINT16 *SourceAddr, UINT16* SourceEndAddr, UINT16* DestAddr)
{

	/******DSP RUN TRACE************************/	
	RUN_PREVIOUSFUNCTION = RUN_FUNCTION;
	RUN_FUNCTION = 0x0B03;
	/*******************************************/
	while(SourceAddr < SourceEndAddr)
    	{
       	*DestAddr++ = *SourceAddr++;
   	}
    return;
}


//============================================================
// End of file.
//============================================================
