//###########################################################################
// $TI Release: F2807x Support Library v180 $
// $Release Date: Fri Nov  6 16:33:02 CST 2015 $
// $Copyright: Copyright (C) 2014-2015 Texas Instruments Incorporated -
//             http://www.ti.com/ ALL RIGHTS RESERVED $
//###########################################################################

extern UINT16 CriticalIntFuncsSecuredLoadStart;
extern UINT16 CriticalIntFuncsSecuredLoadEnd;
extern UINT16 CriticalIntFuncsSecuredRunStart;

extern UINT16 CriticalIntFuncsNOTSecuredLoadStart;
extern UINT16 CriticalIntFuncsNOTSecuredLoadEnd;
extern UINT16 CriticalIntFuncsNOTSecuredRunStart;


extern Uint16 Flash28_API_LoadStart;
extern Uint16 Flash28_API_LoadEnd;
extern Uint16 Flash28_API_RunStart;



void main(void)
{


    objSysDrv.Drv_SysCtrlInit();

    objSysDrv.Drv_InitPIE();

    objSysDrv.Drv_InitInterrupts();

    objRAMDrv.Drv_RamCheck();

    objRAMDrv.Drv_MemCopy(&CriticalIntFuncsNOTSecuredLoadStart, &CriticalIntFuncsNOTSecuredLoadEnd, &CriticalIntFuncsNOTSecuredRunStart);
    objRAMDrv.Drv_MemCopy(&CriticalIntFuncsSecuredLoadStart, &CriticalIntFuncsSecuredLoadEnd, &CriticalIntFuncsSecuredRunStart);

    objGPIODrv.Drv_InitGPIO();	
	
 objPWMDrv.Drv_InitPWM();

    EINT;

    objWatchDogDrv.Drv_EnableDog();

    g_u16_INTRunTimeMax = 0;

    while(1)
    {

        if (g_u16_INTRunTimeMax <= 32000)
        {
            g_u16ServiceModeCount++;

            if (g_u16ServiceModeCount == 30000)
            {
                g_u16ServiceModeCount = 0;
            }
        }
    }
}


//===========================================================================
// End of file.
//===========================================================================

