/* =================================================================================
File name:       CLARKE.H  (IQ version)                  
                    
Originator:	Digital Control Systems Group
			Texas Instruments

Description: 
Header file containing constants, data type definitions, and 
function prototypes for the CLARKE.
=====================================================================================
 History:
-------------------------------------------------------------------------------------
 04-15-2005	Version 3.20                                                   
------------------------------------------------------------------------------*/
/*#ifndef __CLARKE_H__
#define __CLARKE_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {  _iq  As;  		// Input: phase-a stator variable
				  _iq  Bs;			// Input: phase-b stator variable
				  _iq  Cs;			// Input: phase-c stator variable
				  _iq  Alpha;		// Output: stationary d-axis stator variable 
				  _iq  Beta;		// Output: stationary q-axis stator variable
				 } CLARKE;	            

typedef CLARKE *CLARKE_handle;*/
/*-----------------------------------------------------------------------------
Default initalizer for the CLARKE object.
-----------------------------------------------------------------------------*/                     

/*#define CLARKE_DEFAULTS { 0, \
                          0, \
						  0, \
                          0, \
                          0}*/

/*------------------------------------------------------------------------------
Prototypes for the functions in CLARKE.C
------------------------------------------------------------------------------*/
//void clarke_calc(CLARKE_handle, int QFomat);


//#ifdef __cplusplus
//}
//#endif /* extern "C" */

//#endif

