/* =================================================================================
File name:       PARK.H (IQ version)                    
                    
Originator:	Digital Control Systems Group
			Texas Instruments

Description: 
Header file containing constants, data type definitions, and 
function prototypes for the PARK.

=====================================================================================
 History:
-------------------------------------------------------------------------------------
 04-15-2005	Version 3.20                                                  
------------------------------------------------------------------------------*/
/*#ifndef __PARK_H__
#define __PARK_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {  _iq  Alpha;  		// Input: stationary d-axis stator variable 
				  _iq  Beta;	 	// Input: stationary q-axis stator variable 
				  _iq  Angle;		// Input: rotating angle (pu) 
				  _iq  Ds;			// Output: rotating d-axis stator variable 
				  _iq  Qs;			// Output: rotating q-axis stator variable 
				 } PARK;	            

typedef PARK *PARK_handle;*/
/*-----------------------------------------------------------------------------
Default initalizer for the PARK object.
-----------------------------------------------------------------------------*/                     
/*#define PARK_DEFAULTS {  0, \
                          0, \
                          0, \
                          0, \
                          0}*/

/*------------------------------------------------------------------------------
Prototypes for the functions in PARK.C
------------------------------------------------------------------------------*/
//void park_calc(PARK_handle);

//#ifdef __cplusplus
//}
//#endif /* extern "C" */


//#endif // __PARK_H__
