/*==========================================================*/
/* Title		:	GPIODrv.h								*/
/* Description	: 	Class_GPIODrv definition				*/
/* Date			:	Oct.2007								*/
/*==========================================================*/

#ifndef DSP280x_GPIODRV_H
#define DSP280x_GPIODRV_H

//============================================================
//	Class_GPIODrvⲿĽӿ
//	1)
//	2)
//============================================================
class Class_GPIODrv
{
	private:

	public:
		void	Drv_InitGPIO(void);		
		void 	Drv_GPIO_EnableUnbondedIOPullups(void);
		void 	Drv_InitGpioToDefaltValue(void);
		void 	Drv_GPIO_SetupPinMux(Uint16 pin, Uint16 cpu, Uint16 peripheral);
		void 	Drv_GPIO_SetupPinOptions(Uint16 pin, Uint16 output, Uint16 flags);
		void	Drv_GPIO_SetupPinDirection(Uint16 pin, Uint16 output);
		void	Drv_GPIO_SetupPinValue(Uint16 pin, Uint16 pinvalue);
             inline  void    Drv_GPIO_FPGAReset(void);           //FPGARESETź
             inline  void    Drv_GPIO_FPGAResetClear(void);      //FPGARESETź
             void       InitECap1Gpio(Uint16 pin);
             void       InitECap2Gpio(Uint16 pin);
             void       InitECap3Gpio(Uint16 pin);
             void       InitECap4Gpio(Uint16 pin);



		
		


		
};

#endif

//============================================================
// End of file.
//============================================================
