/*==========================================================*/
/* Title		:	RAMDrv.h								*/
/* Description	: 	Class_RAMDrv definition					*/
/* Date			:	Oct.2007								*/
/*==========================================================*/


#ifndef DSP280x_RAMDRV_H
#define DSP280x_RAMDRV_H




#define RUN_CONST1			*(volatile UINT16 *)0x00013FF9    		
#define RUN_CONST2			*(volatile UINT16 *)0x00013FFA 
#define RESET_CNT			*(volatile UINT16 *)0x00013FFB  


#define RUN_FUNCTION				*(volatile UINT16 *)0x00013FFC    		
#define RUN_PREVIOUSFUNCTION		*(volatile UINT16 *)0x00013FFD 
#define RESET_FUNCTION			*((UINT16 *) 0x00013FFE)    		
#define RESET_PREVIOUSFUCTION	*(volatile UINT16 *)0x00013FFF 



//============================================================
//	Class_RAMDrvⲿĽӿ
//	1)
//	2)
//============================================================
class Class_RAMDrv
{
	private:
		UINT16	m_u16_RamCheckErr;		
	public:
		void	Drv_Init(void);								//ʼ
		void	Drv_RamCheck(void);							//ڴԼ켰RAM
		void	Drv_MemCopy(UINT16 *SourceAddr, UINT16* SourceEndAddr, UINT16* DestAddr);//
		void	Drv_CLAMemCopy(UINT32 *SourceAddr, UINT32* SourceEndAddr, UINT32* DestAddr);//CLA
};

#endif

//============================================================
// End of file.
//============================================================
