/*==========================================================*/
/* Title		:	SysDrv.h								*/
/* Description	: 	Class_SysDrv definition					*/
/* Date			:	Oct.2007								*/
/*==========================================================*/

#ifndef DSP280x_SYSDRV_H
#define DSP280x_SYSDRV_H


//============================================================
//	Class_SysDrvⲿĽӿ
//	1)objWatchDogDrv.Drv_DisableDog()
//	2)
//============================================================
class Class_SysDrv
{
	private:
//		struct	PIE_VECT_TABLE	m_st_PieVectTableInit;
		INT16	m_i16_ClockMissing;							//ʱӶʧ־λ
		UINT16	m_u16_DSPRevision;							//DSP汾
	public:
		void	Drv_SysCtrlInit(void);		//ϵͳʼ

		void	Drv_InitPeripherals(void);						//ʼ		
		void	Drv_InitSysPll(Uint16 clock_source, Uint16 imult, Uint16 fmult, Uint16 divsel);		
		void	Drv_SysIntOsc1Sel();
		void	Drv_SysIntOsc2Sel();
		void	Drv_SysXtalOscSel();


		
		//This function initializes the clocks to the peripheral modules.
		void	Drv_InitPeripheralClocks(void);
		
		//This function initializes the PIE control registers to a known state.				
		void	Drv_InitPieCtrl(void);	
		
		//This function initializes the PIE vector table to a known state.
		//This function must be executed after boot time.					
		void	Drv_InitPieVectTable(void);	
		void	Drv_InitCpuTimers(void);	
		//This function deal the PIE module and CPU interrupts,used in interrupt program				
		void	Drv_Int_InterruptFlagClear(void);	
		void	Drv_InitPIE(void);		
		void	Drv_InitInterrupts(void);					//This function enable the PIE module and CPU interrupts
		void	Drv_DSPVersionSet(void);					//DSP汾

};

#endif
//============================================================
// End of file.
//============================================================
